﻿#define USE_LOCAL_CULTURE

using System;
using System.Collections.Generic;
using System.Windows.Forms;

using System.Threading;
using System.Globalization;

namespace testDocX2Html
{
    static class Program
    {
        public const int LCID_DEFAULT = 0x0419;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            try
            {
#if USE_LOCAL_CULTURE
                if (Thread.CurrentThread.CurrentCulture.LCID != LCID_DEFAULT)
                {
                    CultureInfo cultureInfo = new CultureInfo(LCID_DEFAULT);
                    Thread.CurrentThread.CurrentCulture = cultureInfo;
                }
                if (Thread.CurrentThread.CurrentUICulture.LCID != LCID_DEFAULT)
                {
                    CultureInfo cultureInfo = new CultureInfo(LCID_DEFAULT);
                    Thread.CurrentThread.CurrentUICulture = cultureInfo;
                }
                if (Thread.CurrentThread.CurrentCulture.DisplayName.ToLower().IndexOf(InputLanguage.CurrentInputLanguage.LayoutName.ToLower()) == (-1))
                {
                    InputLanguage.CurrentInputLanguage = InputLanguage.FromCulture(Thread.CurrentThread.CurrentCulture);
                }
#endif
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new FrmUseDocX2Html());
            }
            catch (Exception ex)
            {
                MessageBox.Show(null, ex.ToString(), global::testDocX2Html.Properties.Resources.errorCaption, MessageBoxButtons.OK, MessageBoxIcon.Error);  
            }
        }
    }
}
